{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "make migration",
            "type": "shell",
            "command": "php",
            "args": [
                "bin/console",
                "make:migration"
            ]
        },
        {
            "label": "create database",
            "type": "shell",
            "command": "mkdir",
            "args": [
                "-p",
                "var/data",
                "&&",
                "php",
                "bin/console",
                "doctrine:database:create"
            ]
        },
        {
            "label": "migrate",
            "type": "shell",
            "command": "php",
            "args": [
                "bin/console",
                "doctrine:migrations:migrate"
            ]
        },
        {
            "label": "start symfony server",
            "type": "shell",
            "command": "symfony",
            "args": [
                "serve",
                "--port=5001"
            ],
            "runOptions": {
                "runOn": "folderOpen",
                "instanceLimit": 1
            },
            "presentation": {
                "close": true
            }
        },
        {
            "label": "stop symfony server",
            "type": "shell",
            "command": "symfony",
            "args": [
                "server:stop"
            ],
            "presentation": {
                "close": true
            }
        },
        {
            "label": "Make entity",
            "type": "shell",
            "command": "php",
            "args": [
                "bin/console",
                ""
            ]
        }
    ],
    "problemMatcher": [],
    "options": {
        "cwd": "${workspaceFolder}"
    },
    "presentation": {
        "echo": true,
        "reveal": "silent",
        "focus": false,
        "panel": "shared",
        "showReuseMessage": false,
        "clear": false,
        "close": false,
        "revealProblems": "onProblem"
    }
}
